markdown-unlit-0.6.0: Literate Haskell support for Markdown

Safe Haskell | None
Language | Haskell2010

Text.Markdown.Unlit

Synopsis

- run :: [String] -> IO ()
- unlit :: FilePath -> Selector -> String -> String
- data Selector
  - = Class String
  - | Not Selector
  - | Selector :&: Selector
  - | Selector :|: Selector
- parseSelector :: String -> Maybe Selector
- data CodeBlock = CodeBlock {
  - codeBlockClasses :: [String]
  - codeBlockContent :: [String]
  - codeBlockStartLine :: Int
  }
- parse :: String -> [CodeBlock]

# Documentation

run :: [String] -> IO () Source #

Program entry point.

unlit :: FilePath -> Selector -> String -> String Source #

data Selector Source #

Constructors

Class String |
Not Selector |
Selector :&: Selector infixr 3 |
Selector :|: Selector infixr 2 |

#### Instances

Instances details

IsString Selector Source # |
Instance details Defined in Text.Markdown.Unlit Methods fromString :: String -> Selector Source #
Show Selector Source # |
Instance details Defined in Text.Markdown.Unlit Methods showsPrec :: Int -> Selector -> ShowS Source # show :: Selector -> String Source # showList :: [Selector] -> ShowS Source #
Eq Selector Source # |
Instance details Defined in Text.Markdown.Unlit Methods (==) :: Selector -> Selector -> Bool Source # (/=) :: Selector -> Selector -> Bool Source #

parseSelector :: String -> Maybe Selector Source #

data CodeBlock Source #

Constructors

CodeBlock |

Fields

- codeBlockClasses :: [String]
- codeBlockContent :: [String]
- codeBlockStartLine :: Int

#### Instances

Instances details

Show CodeBlock Source # |
Instance details Defined in Text.Markdown.Unlit Methods showsPrec :: Int -> CodeBlock -> ShowS Source # show :: CodeBlock -> String Source # showList :: [CodeBlock] -> ShowS Source #
Eq CodeBlock Source # |
Instance details Defined in Text.Markdown.Unlit Methods (==) :: CodeBlock -> CodeBlock -> Bool Source # (/=) :: CodeBlock -> CodeBlock -> Bool Source #

parse :: String -> [CodeBlock] Source #